PUT/shops/{shopId}

Update Shop

This API call enables the user to update the configuration details of an existing shop associated with a shop ID.
PUT/shops/{shopId}

Parameter Details

NameInTypeRequiredDescription
shopIdpathintegerRequiredThe ID of the shop to update.
» shopNamebodystringRequiredCustom name for the shop.
» marketsbodyRequirednone
»» pickupLocationbodystringRequiredPickup location.
»» dropLocationbodystringRequiredDrop location.
» websiteCodebody[integer]Requirednone
» cobbodystringRequiredCountry of booking details.
» lorbodyintegerRequiredLength of rent details.
» currencybodystringRequiredCurrency code (e.g., USD, EUR).
» horizonbodystringRequiredNumber of days (if not using start and end dates).
» horizonDowbody[integer]Optionalnone
» pickupTimebodyRequiredPickup time of the trip.
» dropTimebodyRequiredDrop time of the trip.

Responses

StatusMeaningDescriptionSchema
200OKSuccessful update of the shop
400Bad RequestBad RequestNone
401UnauthorizedUnauthorizedNone
403ForbiddenForbidden - Access deniedNone
404Not FoundShop not foundNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X PUT /shops/{shopId} \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}' \
  -d '{"shopName":"string","markets":"string","»pickupLocation":"string","»dropLocation":"string","websiteCode":"string","cob":"string","lor":0,"currency":"string","horizon":"string","horizonDow":"string","pickupTime":"string","dropTime":"string"}'

Body parameter

{
  "shopName": "My Shop",
  "markets": [
    {
      "pickupLocation": "AXD",
      "dropLocation": "AYT"
    }
  ],
  "websiteCode": [
    1
  ],
  "cob": "US",
  "lor": 1,
  "currency": "USD",
  "horizon": 30,
  "horizonDow": [],
  "pickupTime": "10:30",
  "dropTime": "10:30"
}

Example responses

200 Response
{
  "message": "Shop updated successfully"
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.